Package cds.healpix

# Interface HierarchyItem

All Known Subinterfaces:
  `FlatHashIterator`, `HashComputer`, `HashComputerWithAux`, `Interpolator`, `VerticesAndPathComputer`

All Known Implementing Classes:
  `HealpixNested`, `HealpixNestedFast`

public interface HierarchyItem
The interface defines an item which is part of a Hierarchy. By convention, the top layer (or root) of the hierarchy is at depth 0 and the lower the layer is, the higher the depth is.

Author:
  F.-X. Pineau

## Method Summary

Modifier and Type
Method
Description
`int`
`depth()`
Returns the depth of the item in a Hierarchy.

## Method Details

### depth

int depth()
Returns the depth of the item in a Hierarchy. By convention, the top layer of the hierarchy is at depth 0 and the lower the layer is, the higher the depth is.

Returns:
  the depth of the item in a Hierarchy.